/*
 * PoolA.cc - Simple implementation of a population pool.
 *
 * Part of the Library for Evolutionary Algorithm Programming.
 *
 * Copyright (C) 1998 J.I. van Hemert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Author: J.I. van Hemert
 * Last Revision: 07-Jun-1998
 *
 */

#include "Core/PoolA.h"


// Implementation PoolElement -----------

PoolElementA::PoolElementA
(
	GenotypeA & iGenotype
)
{
	Genotype = &iGenotype;
}; // PoolElementA



//TODO: Redundant code.
/*PoolElementA::~PoolElementA()
{
	delete Genotype;
}; // ~PoolElementA
*/



// Implementation Pool -----------

PoolA::PoolA(): Size(0)
{
} // PoolA



PoolA::~PoolA()
{
} // ~PoolA



// Eof PoolA.cc
