/*
 * RandomCsp - A empty class for random binary symmetric constraint
 * satisfaction problems.
 *
 * Part of the RandomCsp library.
 * Copyright (C) 1998 J.I. van Hemert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Last Revision: 08-Jun-1998
 *
 */


#include "randomcsp.h"


RandomCspC::RandomCspC
(
): CspC(1)
{
} // RandomCspC::RandomCspC



RandomCspC::~RandomCspC()
{
} // RandomCspC::~RandomCspC



void const RandomCspC::ProduceProblem()
{
} // RandomCspC::ProduceProblem



void RandomCspC::ProduceFileName
(
	char * FileName
)
{
	
} // RandomCspC::ProduceFileName



// eof pprosser.cc
